## DzlGraphView

DzlGraphView

## Functions

GtkWidget * | dzl_graph_view_new ()
void | dzl_graph_view_set_model ()
DzlGraphModel * | dzl_graph_view_get_model ()
void | dzl_graph_view_add_renderer ()

## Properties

DzlGraphModel * | model | Read / Write

## Types and Values

#define | DZL_TYPE_GRAPH_VIEW
struct | DzlGraphViewClass
| DzlGraphView

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkDrawingArea
                    ╰── DzlGraphView
                        ╰── DzlCpuGraph

## Implemented Interfaces

DzlGraphView implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### dzl_graph_view_new ()

    GtkWidget *
    dzl_graph_view_new (void);

### dzl_graph_view_set_model ()

    void
    dzl_graph_view_set_model (DzlGraphView *self,
                              DzlGraphModel *model);

### dzl_graph_view_get_model ()

    DzlGraphModel *
    dzl_graph_view_get_model (DzlGraphView *self);

Gets the “model” property.

#### Returns

An DzlGraphModel or `NULL`.

[transfer none][nullable]

### dzl_graph_view_add_renderer ()

    void
    dzl_graph_view_add_renderer (DzlGraphView *self,
                                 DzlGraphRenderer *renderer);

## Types and Values

### DZL_TYPE_GRAPH_VIEW

    #define DZL_TYPE_GRAPH_VIEW (dzl_graph_view_get_type())

### struct DzlGraphViewClass

    struct DzlGraphViewClass {
      GtkDrawingAreaClass parent_class;

      gpointer _reserved1;
      gpointer _reserved2;
      gpointer _reserved3;
      gpointer _reserved4;
      gpointer _reserved5;
      gpointer _reserved6;
      gpointer _reserved7;
      gpointer _reserved8;
    };

### DzlGraphView

    typedef struct _DzlGraphView DzlGraphView;

## Property Details

### The `“model”` property

      “model”                    DzlGraphModel *

The data model for the graph.

Owner: DzlGraphView

Flags: Read / Write